//
// cr does a careful in-place conversion of Unix- or DOS-formatted
// text files listed on the command line to the Mac-formatted text
// files.  If no files are specified, then stdin and stdout are used
// instead.
//

import java.io.*;

public class cr {

    public static void main(String[] args) {
        try {

            // If the user didn't supply a file name, assume he wants
            // to use stdin and stdout (as denoted by "-").
            if( args.length == 0 ) {
                args = new String[] { "-" };
            }

            for( int i = 0 ; i < args.length ; ++i ) {
                try {
                    EolConverter converter
                        = new EolConverter(args[i], EolConverter.MAC);
                    converter.convert();
                } catch( FileNotFoundException e ) {
                    System.err.println("Warning: \"" + args[i]
                                       + "\" not found.");
                }
            }

        } catch( Exception e ) {
            System.out.println(e.getLocalizedMessage());
            e.printStackTrace();
        }
    }

}
